<ActionBar class="action-bar">
    <ActionItem text="Promotion Code App" ios.position="left"></ActionItem>
    <ActionItem ios.position="right">
        <Image col="1" src="~/images/logout.png" ios.position="right" (tap)="logout()" class="action-image"></Image>
    </ActionItem>
</ActionBar>

<FlexboxLayout class="page scan-promotion-code">
    <StackLayout class="form m-t-20 m-b-20 m-l-20 m-r-20">
        <PreviousNextView>
            <GridLayout columns="*, *" rows="auto, *, auto, auto">
                <Label row="0" colSpan="2" class="h3 p-b-10" text="Scan your code here"></Label>
                  
                <StackLayout row="1" colSpan="2" class="p-b-20">
                    <BarcodeScanner
                        class="scanner-round"
                        formats="QR_CODE, EAN_13"
                        beepOnScan="true"
                        reportDuplicates="true"
                        preferFrontCamera="false"
                        (scanResult)="onScanResult($event)">
                    </BarcodeScanner>
                </StackLayout>

                <StackLayout row="2" colSpan="2" class="input-field">
                    <TextField class="input" hint="Enter code here" 
                        autocorrect="false"
                        [text]="_barcode"
                        [(ngModel)]="_barcode"
                        autocapitalizationType="none"
                        [formControl]="checkCode"
                        returnKeyType="next" returnKeyType="search"></TextField>

                    <StackLayout class="hr-light"></StackLayout>
                    <Label class="check-code" text="{{checkCode.value?.length || 0}} /13"></Label>
                    <!-- <Label text="{{checkCode.value}}"></Label>
                    <Button text="check code" *ngIf="checkCode.value" (tap)="checkCode.setValue(checkCode.value)"></Button> -->
                </StackLayout>
                <Button row="3" col="0" text="Check Barcode" (tap)="openModal()" [isEnabled]="!checkCode.invalid" class="btn btn-primary m-t-20"></Button>
                <Button row="3" col="1" text="Clear" (tap)="clearValue()" class="btn btn-outline m-l-20"></Button>
            </GridLayout>
        </PreviousNextView>
    </StackLayout>
</FlexboxLayout>